import { createApp } from 'vue'

const htmlRoot = document.documentElement

const app = createApp({
  data() {
    return {
      darkModeActive: false,
    }
  },

  methods: {
    activateDarkMode: function () {
      this.darkModeActive = true
      htmlRoot.classList.add('dark')
      localStorage.theme = "dark"
    },

    deactivateDarkMode: function () {
      this.darkModeActive = false
      htmlRoot.classList.remove('dark')
      localStorage.theme = "light"
    },
  },
})

app.mount('#app')
